// Do NOT change. Changes will be lost next time file is generated

#define R__DICTIONARY_FILENAME HepMCEventDict
#define R__NO_DEPRECATION

/*******************************************************************/
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#define G__DICTIONARY
#include "ROOT/RConfig.hxx"
#include "TClass.h"
#include "TDictAttributeMap.h"
#include "TInterpreter.h"
#include "TROOT.h"
#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TInterpreter.h"
#include "TVirtualMutex.h"
#include "TError.h"

#ifndef G__ROOT
#define G__ROOT
#endif

#include "RtypesImp.h"
#include "TIsAProxy.h"
#include "TFileMergeInfo.h"
#include <algorithm>
#include "TCollectionProxyInfo.h"
/*******************************************************************/

#include "TDataMember.h"

// Header files passed as explicit arguments
#include "HepMCEvent.H"
#include "HepMCParticle.H"

// Header files passed via #pragma extra_include

// The generated code does not explicitly qualify STL entities
namespace std {} using namespace std;

namespace ROOT {
   static void *new_HepMCParticle(void *p = nullptr);
   static void *newArray_HepMCParticle(Long_t size, void *p);
   static void delete_HepMCParticle(void *p);
   static void deleteArray_HepMCParticle(void *p);
   static void destruct_HepMCParticle(void *p);
   static void streamer_HepMCParticle(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HepMCParticle*)
   {
      ::HepMCParticle *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HepMCParticle >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HepMCParticle", ::HepMCParticle::Class_Version(), "HepMCParticle.H", 28,
                  typeid(::HepMCParticle), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HepMCParticle::Dictionary, isa_proxy, 17,
                  sizeof(::HepMCParticle) );
      instance.SetNew(&new_HepMCParticle);
      instance.SetNewArray(&newArray_HepMCParticle);
      instance.SetDelete(&delete_HepMCParticle);
      instance.SetDeleteArray(&deleteArray_HepMCParticle);
      instance.SetDestructor(&destruct_HepMCParticle);
      instance.SetStreamerFunc(&streamer_HepMCParticle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HepMCParticle*)
   {
      return GenerateInitInstanceLocal(static_cast<::HepMCParticle*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HepMCParticle*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void delete_HepMCEvent(void *p);
   static void deleteArray_HepMCEvent(void *p);
   static void destruct_HepMCEvent(void *p);
   static void streamer_HepMCEvent(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HepMCEvent*)
   {
      ::HepMCEvent *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HepMCEvent >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HepMCEvent", ::HepMCEvent::Class_Version(), "HepMCEvent.H", 29,
                  typeid(::HepMCEvent), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HepMCEvent::Dictionary, isa_proxy, 17,
                  sizeof(::HepMCEvent) );
      instance.SetDelete(&delete_HepMCEvent);
      instance.SetDeleteArray(&deleteArray_HepMCEvent);
      instance.SetDestructor(&destruct_HepMCEvent);
      instance.SetStreamerFunc(&streamer_HepMCEvent);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HepMCEvent*)
   {
      return GenerateInitInstanceLocal(static_cast<::HepMCEvent*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HepMCEvent*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

//______________________________________________________________________________
atomic_TClass_ptr HepMCParticle::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HepMCParticle::Class_Name()
{
   return "HepMCParticle";
}

//______________________________________________________________________________
const char *HepMCParticle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HepMCParticle*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HepMCParticle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HepMCParticle*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HepMCParticle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HepMCParticle*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HepMCParticle::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HepMCParticle*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HepMCEvent::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HepMCEvent::Class_Name()
{
   return "HepMCEvent";
}

//______________________________________________________________________________
const char *HepMCEvent::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HepMCEvent*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HepMCEvent::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HepMCEvent*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HepMCEvent::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HepMCEvent*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HepMCEvent::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HepMCEvent*)nullptr)->GetClass(); }
   return fgIsA;
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_HepMCParticle(void *p) {
      return  p ? new(p) ::HepMCParticle : new ::HepMCParticle;
   }
   static void *newArray_HepMCParticle(Long_t nElements, void *p) {
      return p ? new(p) ::HepMCParticle[nElements] : new ::HepMCParticle[nElements];
   }
   // Wrapper around operator delete
   static void delete_HepMCParticle(void *p) {
      delete (static_cast<::HepMCParticle*>(p));
   }
   static void deleteArray_HepMCParticle(void *p) {
      delete [] (static_cast<::HepMCParticle*>(p));
   }
   static void destruct_HepMCParticle(void *p) {
      typedef ::HepMCParticle current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HepMCParticle(TBuffer &buf, void *obj) {
      ((::HepMCParticle*)obj)->::HepMCParticle::Streamer(buf);
   }
} // end of namespace ROOT for class ::HepMCParticle

namespace ROOT {
   // Wrapper around operator delete
   static void delete_HepMCEvent(void *p) {
      delete (static_cast<::HepMCEvent*>(p));
   }
   static void deleteArray_HepMCEvent(void *p) {
      delete [] (static_cast<::HepMCEvent*>(p));
   }
   static void destruct_HepMCEvent(void *p) {
      typedef ::HepMCEvent current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HepMCEvent(TBuffer &buf, void *obj) {
      ((::HepMCEvent*)obj)->::HepMCEvent::Streamer(buf);
   }
} // end of namespace ROOT for class ::HepMCEvent

namespace {
  void TriggerDictionaryInitialization_HepMCEventDict_Impl() {
    static const char* headers[] = {
"HepMCEvent.H",
"HepMCParticle.H",
nullptr
    };
    static const char* includePaths[] = {
"/usr/include",
"../include/",
"/usr/include/root",
"/builddir/build/BUILD/MC-TESTER-1.25.1-build/mc-tester-v1.25.1/HepMCEvent/",
nullptr
    };
    static const char* fwdDeclCode = R"DICTFWDDCLS(
#line 1 "HepMCEventDict dictionary forward declarations' payload"
#pragma clang diagnostic ignored "-Wkeyword-compat"
#pragma clang diagnostic ignored "-Wignored-attributes"
#pragma clang diagnostic ignored "-Wreturn-type-c-linkage"
extern int __Cling_AutoLoading_Map;
class __attribute__((annotate("$clingAutoload$HepMCParticle.H")))  __attribute__((annotate("$clingAutoload$HepMCEvent.H")))  HepMCParticle;
class __attribute__((annotate("$clingAutoload$HepMCEvent.H")))  HepMCEvent;
)DICTFWDDCLS";
    static const char* payloadCode = R"DICTPAYLOAD(
#line 1 "HepMCEventDict dictionary payload"

#ifndef _USE_ROOT_
  #define _USE_ROOT_ 1
#endif

#define _BACKWARD_BACKWARD_WARNING_H
// Inline headers
#include "HepMCEvent.H"
#include "HepMCParticle.H"

#undef  _BACKWARD_BACKWARD_WARNING_H
)DICTPAYLOAD";
    static const char* classesHeaders[] = {
"HepMCEvent", payloadCode, "@",
"HepMCParticle", payloadCode, "@",
nullptr
};
    static bool isInitialized = false;
    if (!isInitialized) {
      TROOT::RegisterModule("HepMCEventDict",
        headers, includePaths, payloadCode, fwdDeclCode,
        TriggerDictionaryInitialization_HepMCEventDict_Impl, {}, classesHeaders, /*hasCxxModule*/false);
      isInitialized = true;
    }
  }
  static struct DictInit {
    DictInit() {
      TriggerDictionaryInitialization_HepMCEventDict_Impl();
    }
  } __TheDictionaryInitializer;
}
void TriggerDictionaryInitialization_HepMCEventDict() {
  TriggerDictionaryInitialization_HepMCEventDict_Impl();
}
