// Do NOT change. Changes will be lost next time file is generated

#define R__DICTIONARY_FILENAME MCTesterDict
#define R__NO_DEPRECATION

/*******************************************************************/
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#define G__DICTIONARY
#include "ROOT/RConfig.hxx"
#include "TClass.h"
#include "TDictAttributeMap.h"
#include "TInterpreter.h"
#include "TROOT.h"
#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TInterpreter.h"
#include "TVirtualMutex.h"
#include "TError.h"

#ifndef G__ROOT
#define G__ROOT
#endif

#include "RtypesImp.h"
#include "TIsAProxy.h"
#include "TFileMergeInfo.h"
#include <algorithm>
#include "TCollectionProxyInfo.h"
/*******************************************************************/

#include "TDataMember.h"

// Header files passed as explicit arguments
#include "TDecayMode.H"
#include "TDecayResult.H"
#include "Setup.H"
#include "TUserAnalysis.H"
#include "Generate.h"
#include "MCTester-F77.h"
#include "GenerationDescription.H"
#include "MCTest01.H"
#include "MCTest02.H"
#include "MCTest03.H"
#include "UserEventAnalysis.H"
#include "MCTesterEvent.H"
#include "UserTreeAnalysis.H"

// Header files passed via #pragma extra_include

// The generated code does not explicitly qualify STL entities
namespace std {} using namespace std;

namespace ROOT {
   static void *new_TDecayMode(void *p = nullptr);
   static void *newArray_TDecayMode(Long_t size, void *p);
   static void delete_TDecayMode(void *p);
   static void deleteArray_TDecayMode(void *p);
   static void destruct_TDecayMode(void *p);
   static void streamer_TDecayMode(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::TDecayMode*)
   {
      ::TDecayMode *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::TDecayMode >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("TDecayMode", ::TDecayMode::Class_Version(), "TDecayMode.H", 20,
                  typeid(::TDecayMode), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::TDecayMode::Dictionary, isa_proxy, 16,
                  sizeof(::TDecayMode) );
      instance.SetNew(&new_TDecayMode);
      instance.SetNewArray(&newArray_TDecayMode);
      instance.SetDelete(&delete_TDecayMode);
      instance.SetDeleteArray(&deleteArray_TDecayMode);
      instance.SetDestructor(&destruct_TDecayMode);
      instance.SetStreamerFunc(&streamer_TDecayMode);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::TDecayMode*)
   {
      return GenerateInitInstanceLocal(static_cast<::TDecayMode*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::TDecayMode*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_TDecayResult(void *p = nullptr);
   static void *newArray_TDecayResult(Long_t size, void *p);
   static void delete_TDecayResult(void *p);
   static void deleteArray_TDecayResult(void *p);
   static void destruct_TDecayResult(void *p);
   static void streamer_TDecayResult(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::TDecayResult*)
   {
      ::TDecayResult *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::TDecayResult >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("TDecayResult", ::TDecayResult::Class_Version(), "TDecayResult.H", 19,
                  typeid(::TDecayResult), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::TDecayResult::Dictionary, isa_proxy, 16,
                  sizeof(::TDecayResult) );
      instance.SetNew(&new_TDecayResult);
      instance.SetNewArray(&newArray_TDecayResult);
      instance.SetDelete(&delete_TDecayResult);
      instance.SetDeleteArray(&deleteArray_TDecayResult);
      instance.SetDestructor(&destruct_TDecayResult);
      instance.SetStreamerFunc(&streamer_TDecayResult);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::TDecayResult*)
   {
      return GenerateInitInstanceLocal(static_cast<::TDecayResult*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::TDecayResult*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_Setup(void *p = nullptr);
   static void *newArray_Setup(Long_t size, void *p);
   static void delete_Setup(void *p);
   static void deleteArray_Setup(void *p);
   static void destruct_Setup(void *p);
   static void streamer_Setup(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::Setup*)
   {
      ::Setup *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::Setup >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("Setup", ::Setup::Class_Version(), "Setup.H", 20,
                  typeid(::Setup), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::Setup::Dictionary, isa_proxy, 16,
                  sizeof(::Setup) );
      instance.SetNew(&new_Setup);
      instance.SetNewArray(&newArray_Setup);
      instance.SetDelete(&delete_Setup);
      instance.SetDeleteArray(&deleteArray_Setup);
      instance.SetDestructor(&destruct_Setup);
      instance.SetStreamerFunc(&streamer_Setup);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::Setup*)
   {
      return GenerateInitInstanceLocal(static_cast<::Setup*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::Setup*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_GenerationDescription(void *p = nullptr);
   static void *newArray_GenerationDescription(Long_t size, void *p);
   static void delete_GenerationDescription(void *p);
   static void deleteArray_GenerationDescription(void *p);
   static void destruct_GenerationDescription(void *p);
   static void streamer_GenerationDescription(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::GenerationDescription*)
   {
      ::GenerationDescription *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::GenerationDescription >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("GenerationDescription", ::GenerationDescription::Class_Version(), "GenerationDescription.H", 19,
                  typeid(::GenerationDescription), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::GenerationDescription::Dictionary, isa_proxy, 16,
                  sizeof(::GenerationDescription) );
      instance.SetNew(&new_GenerationDescription);
      instance.SetNewArray(&newArray_GenerationDescription);
      instance.SetDelete(&delete_GenerationDescription);
      instance.SetDeleteArray(&deleteArray_GenerationDescription);
      instance.SetDestructor(&destruct_GenerationDescription);
      instance.SetStreamerFunc(&streamer_GenerationDescription);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::GenerationDescription*)
   {
      return GenerateInitInstanceLocal(static_cast<::GenerationDescription*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::GenerationDescription*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static TClass *UserEventAnalysis_Dictionary();
   static void UserEventAnalysis_TClassManip(TClass*);
   static void *new_UserEventAnalysis(void *p = nullptr);
   static void *newArray_UserEventAnalysis(Long_t size, void *p);
   static void delete_UserEventAnalysis(void *p);
   static void deleteArray_UserEventAnalysis(void *p);
   static void destruct_UserEventAnalysis(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::UserEventAnalysis*)
   {
      ::UserEventAnalysis *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::UserEventAnalysis));
      static ::ROOT::TGenericClassInfo 
         instance("UserEventAnalysis", "UserEventAnalysis.H", 28,
                  typeid(::UserEventAnalysis), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &UserEventAnalysis_Dictionary, isa_proxy, 0,
                  sizeof(::UserEventAnalysis) );
      instance.SetNew(&new_UserEventAnalysis);
      instance.SetNewArray(&newArray_UserEventAnalysis);
      instance.SetDelete(&delete_UserEventAnalysis);
      instance.SetDeleteArray(&deleteArray_UserEventAnalysis);
      instance.SetDestructor(&destruct_UserEventAnalysis);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::UserEventAnalysis*)
   {
      return GenerateInitInstanceLocal(static_cast<::UserEventAnalysis*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::UserEventAnalysis*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));

   // Dictionary for non-ClassDef classes
   static TClass *UserEventAnalysis_Dictionary() {
      TClass* theClass =::ROOT::GenerateInitInstanceLocal(static_cast<const ::UserEventAnalysis*>(nullptr))->GetClass();
      UserEventAnalysis_TClassManip(theClass);
   return theClass;
   }

   static void UserEventAnalysis_TClassManip(TClass* ){
   }

} // end of namespace ROOT

namespace ROOT {
   static TClass *LC_EventAnalysis_Dictionary();
   static void LC_EventAnalysis_TClassManip(TClass*);
   static void *new_LC_EventAnalysis(void *p = nullptr);
   static void *newArray_LC_EventAnalysis(Long_t size, void *p);
   static void delete_LC_EventAnalysis(void *p);
   static void deleteArray_LC_EventAnalysis(void *p);
   static void destruct_LC_EventAnalysis(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::LC_EventAnalysis*)
   {
      ::LC_EventAnalysis *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::LC_EventAnalysis));
      static ::ROOT::TGenericClassInfo 
         instance("LC_EventAnalysis", "UserEventAnalysis.H", 49,
                  typeid(::LC_EventAnalysis), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &LC_EventAnalysis_Dictionary, isa_proxy, 0,
                  sizeof(::LC_EventAnalysis) );
      instance.SetNew(&new_LC_EventAnalysis);
      instance.SetNewArray(&newArray_LC_EventAnalysis);
      instance.SetDelete(&delete_LC_EventAnalysis);
      instance.SetDeleteArray(&deleteArray_LC_EventAnalysis);
      instance.SetDestructor(&destruct_LC_EventAnalysis);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::LC_EventAnalysis*)
   {
      return GenerateInitInstanceLocal(static_cast<::LC_EventAnalysis*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::LC_EventAnalysis*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));

   // Dictionary for non-ClassDef classes
   static TClass *LC_EventAnalysis_Dictionary() {
      TClass* theClass =::ROOT::GenerateInitInstanceLocal(static_cast<const ::LC_EventAnalysis*>(nullptr))->GetClass();
      LC_EventAnalysis_TClassManip(theClass);
   return theClass;
   }

   static void LC_EventAnalysis_TClassManip(TClass* ){
   }

} // end of namespace ROOT

namespace ROOT {
   static TClass *HerwigEventAnalysis_Dictionary();
   static void HerwigEventAnalysis_TClassManip(TClass*);
   static void *new_HerwigEventAnalysis(void *p = nullptr);
   static void *newArray_HerwigEventAnalysis(Long_t size, void *p);
   static void delete_HerwigEventAnalysis(void *p);
   static void deleteArray_HerwigEventAnalysis(void *p);
   static void destruct_HerwigEventAnalysis(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HerwigEventAnalysis*)
   {
      ::HerwigEventAnalysis *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::HerwigEventAnalysis));
      static ::ROOT::TGenericClassInfo 
         instance("HerwigEventAnalysis", "UserEventAnalysis.H", 60,
                  typeid(::HerwigEventAnalysis), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &HerwigEventAnalysis_Dictionary, isa_proxy, 0,
                  sizeof(::HerwigEventAnalysis) );
      instance.SetNew(&new_HerwigEventAnalysis);
      instance.SetNewArray(&newArray_HerwigEventAnalysis);
      instance.SetDelete(&delete_HerwigEventAnalysis);
      instance.SetDeleteArray(&deleteArray_HerwigEventAnalysis);
      instance.SetDestructor(&destruct_HerwigEventAnalysis);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HerwigEventAnalysis*)
   {
      return GenerateInitInstanceLocal(static_cast<::HerwigEventAnalysis*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HerwigEventAnalysis*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));

   // Dictionary for non-ClassDef classes
   static TClass *HerwigEventAnalysis_Dictionary() {
      TClass* theClass =::ROOT::GenerateInitInstanceLocal(static_cast<const ::HerwigEventAnalysis*>(nullptr))->GetClass();
      HerwigEventAnalysis_TClassManip(theClass);
   return theClass;
   }

   static void HerwigEventAnalysis_TClassManip(TClass* ){
   }

} // end of namespace ROOT

namespace ROOT {
   static TClass *MadGraphEventReader_Dictionary();
   static void MadGraphEventReader_TClassManip(TClass*);
   static void *new_MadGraphEventReader(void *p = nullptr);
   static void *newArray_MadGraphEventReader(Long_t size, void *p);
   static void delete_MadGraphEventReader(void *p);
   static void deleteArray_MadGraphEventReader(void *p);
   static void destruct_MadGraphEventReader(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::MadGraphEventReader*)
   {
      ::MadGraphEventReader *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::MadGraphEventReader));
      static ::ROOT::TGenericClassInfo 
         instance("MadGraphEventReader", "UserEventAnalysis.H", 69,
                  typeid(::MadGraphEventReader), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &MadGraphEventReader_Dictionary, isa_proxy, 0,
                  sizeof(::MadGraphEventReader) );
      instance.SetNew(&new_MadGraphEventReader);
      instance.SetNewArray(&newArray_MadGraphEventReader);
      instance.SetDelete(&delete_MadGraphEventReader);
      instance.SetDeleteArray(&deleteArray_MadGraphEventReader);
      instance.SetDestructor(&destruct_MadGraphEventReader);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::MadGraphEventReader*)
   {
      return GenerateInitInstanceLocal(static_cast<::MadGraphEventReader*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::MadGraphEventReader*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));

   // Dictionary for non-ClassDef classes
   static TClass *MadGraphEventReader_Dictionary() {
      TClass* theClass =::ROOT::GenerateInitInstanceLocal(static_cast<const ::MadGraphEventReader*>(nullptr))->GetClass();
      MadGraphEventReader_TClassManip(theClass);
   return theClass;
   }

   static void MadGraphEventReader_TClassManip(TClass* ){
   }

} // end of namespace ROOT

//______________________________________________________________________________
atomic_TClass_ptr TDecayMode::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *TDecayMode::Class_Name()
{
   return "TDecayMode";
}

//______________________________________________________________________________
const char *TDecayMode::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::TDecayMode*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int TDecayMode::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::TDecayMode*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *TDecayMode::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::TDecayMode*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *TDecayMode::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::TDecayMode*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr TDecayResult::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *TDecayResult::Class_Name()
{
   return "TDecayResult";
}

//______________________________________________________________________________
const char *TDecayResult::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::TDecayResult*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int TDecayResult::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::TDecayResult*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *TDecayResult::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::TDecayResult*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *TDecayResult::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::TDecayResult*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr Setup::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *Setup::Class_Name()
{
   return "Setup";
}

//______________________________________________________________________________
const char *Setup::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Setup*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int Setup::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::Setup*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *Setup::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Setup*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *Setup::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::Setup*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr GenerationDescription::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *GenerationDescription::Class_Name()
{
   return "GenerationDescription";
}

//______________________________________________________________________________
const char *GenerationDescription::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::GenerationDescription*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int GenerationDescription::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::GenerationDescription*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *GenerationDescription::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::GenerationDescription*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *GenerationDescription::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::GenerationDescription*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
void TDecayMode::Streamer(TBuffer &R__b)
{
   // Stream an object of class TDecayMode.

   UInt_t R__s, R__c;
   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(&R__s, &R__c); if (R__v) { }
      TNamed::Streamer(R__b);
      R__b >> mother_id;
      R__b >> num_of_daughters;
      R__b.ReadStaticArray((int*)daughters);
      R__b >> nentries;
      R__b >> sumw;
      R__b >> sumw2;
      R__b.ReadStaticArray((char*)latexname);
      R__b >> fill_histos;
      R__b >> my_directory;
      R__b >> histograms;
      R__b >> fit_parameter;
      R__b.CheckByteCount(R__s, R__c, TDecayMode::IsA());
   } else {
      R__c = R__b.WriteVersion(TDecayMode::IsA(), kTRUE);
      TNamed::Streamer(R__b);
      R__b << mother_id;
      R__b << num_of_daughters;
      R__b.WriteArray(daughters, 40);
      R__b << nentries;
      R__b << sumw;
      R__b << sumw2;
      R__b.WriteArray(latexname, 256);
      R__b << fill_histos;
      R__b << my_directory;
      R__b << histograms;
      R__b << fit_parameter;
      R__b.SetByteCount(R__c, kTRUE);
   }
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_TDecayMode(void *p) {
      return  p ? new(p) ::TDecayMode : new ::TDecayMode;
   }
   static void *newArray_TDecayMode(Long_t nElements, void *p) {
      return p ? new(p) ::TDecayMode[nElements] : new ::TDecayMode[nElements];
   }
   // Wrapper around operator delete
   static void delete_TDecayMode(void *p) {
      delete (static_cast<::TDecayMode*>(p));
   }
   static void deleteArray_TDecayMode(void *p) {
      delete [] (static_cast<::TDecayMode*>(p));
   }
   static void destruct_TDecayMode(void *p) {
      typedef ::TDecayMode current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_TDecayMode(TBuffer &buf, void *obj) {
      ((::TDecayMode*)obj)->::TDecayMode::Streamer(buf);
   }
} // end of namespace ROOT for class ::TDecayMode

//______________________________________________________________________________
void TDecayResult::Streamer(TBuffer &R__b)
{
   // Stream an object of class TDecayResult.

   UInt_t R__s, R__c;
   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(&R__s, &R__c); if (R__v) { }
      TNamed::Streamer(R__b);
      R__b >> c;
      R__b >> h1;
      R__b >> h2;
      R__b >> hdiff;
      R__b >> axis2;
      R__b >> fit_parameter;
      R__b.CheckByteCount(R__s, R__c, TDecayResult::IsA());
   } else {
      R__c = R__b.WriteVersion(TDecayResult::IsA(), kTRUE);
      TNamed::Streamer(R__b);
      R__b << c;
      R__b << (TObject*)h1;
      R__b << (TObject*)h2;
      R__b << (TObject*)hdiff;
      R__b << axis2;
      R__b << fit_parameter;
      R__b.SetByteCount(R__c, kTRUE);
   }
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_TDecayResult(void *p) {
      return  p ? new(p) ::TDecayResult : new ::TDecayResult;
   }
   static void *newArray_TDecayResult(Long_t nElements, void *p) {
      return p ? new(p) ::TDecayResult[nElements] : new ::TDecayResult[nElements];
   }
   // Wrapper around operator delete
   static void delete_TDecayResult(void *p) {
      delete (static_cast<::TDecayResult*>(p));
   }
   static void deleteArray_TDecayResult(void *p) {
      delete [] (static_cast<::TDecayResult*>(p));
   }
   static void destruct_TDecayResult(void *p) {
      typedef ::TDecayResult current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_TDecayResult(TBuffer &buf, void *obj) {
      ((::TDecayResult*)obj)->::TDecayResult::Streamer(buf);
   }
} // end of namespace ROOT for class ::TDecayResult

//______________________________________________________________________________
void Setup::Streamer(TBuffer &R__b)
{
   // Stream an object of class Setup.

   UInt_t R__s, R__c;
   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(&R__s, &R__c); if (R__v) { }
      TObject::Streamer(R__b);
      R__b.CheckByteCount(R__s, R__c, Setup::IsA());
   } else {
      R__c = R__b.WriteVersion(Setup::IsA(), kTRUE);
      TObject::Streamer(R__b);
      R__b.SetByteCount(R__c, kTRUE);
   }
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_Setup(void *p) {
      return  p ? new(p) ::Setup : new ::Setup;
   }
   static void *newArray_Setup(Long_t nElements, void *p) {
      return p ? new(p) ::Setup[nElements] : new ::Setup[nElements];
   }
   // Wrapper around operator delete
   static void delete_Setup(void *p) {
      delete (static_cast<::Setup*>(p));
   }
   static void deleteArray_Setup(void *p) {
      delete [] (static_cast<::Setup*>(p));
   }
   static void destruct_Setup(void *p) {
      typedef ::Setup current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_Setup(TBuffer &buf, void *obj) {
      ((::Setup*)obj)->::Setup::Streamer(buf);
   }
} // end of namespace ROOT for class ::Setup

//______________________________________________________________________________
void GenerationDescription::Streamer(TBuffer &R__b)
{
   // Stream an object of class GenerationDescription.

   UInt_t R__s, R__c;
   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(&R__s, &R__c); if (R__v) { }
      TObject::Streamer(R__b);
      R__b >> decay_particle;
      R__b.ReadStaticArray((double*)bin_min);
      R__b.ReadStaticArray((double*)bin_max);
      R__b.ReadStaticArray((int*)nbins);
      R__b.ReadStaticArray((char*)gen_desc_1);
      R__b.ReadStaticArray((char*)gen_desc_2);
      R__b.ReadStaticArray((char*)gen_desc_3);
      R__b.ReadStaticArray((char*)gen_path);
      R__b >> order_matters;
      R__b.CheckByteCount(R__s, R__c, GenerationDescription::IsA());
   } else {
      R__c = R__b.WriteVersion(GenerationDescription::IsA(), kTRUE);
      TObject::Streamer(R__b);
      R__b << decay_particle;
      R__b.WriteArray((double*)bin_min, 400);
      R__b.WriteArray((double*)bin_max, 400);
      R__b.WriteArray((int*)nbins, 400);
      R__b.WriteArray(gen_desc_1, 128);
      R__b.WriteArray(gen_desc_2, 128);
      R__b.WriteArray(gen_desc_3, 128);
      R__b.WriteArray(gen_path, 128);
      R__b << order_matters;
      R__b.SetByteCount(R__c, kTRUE);
   }
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_GenerationDescription(void *p) {
      return  p ? new(p) ::GenerationDescription : new ::GenerationDescription;
   }
   static void *newArray_GenerationDescription(Long_t nElements, void *p) {
      return p ? new(p) ::GenerationDescription[nElements] : new ::GenerationDescription[nElements];
   }
   // Wrapper around operator delete
   static void delete_GenerationDescription(void *p) {
      delete (static_cast<::GenerationDescription*>(p));
   }
   static void deleteArray_GenerationDescription(void *p) {
      delete [] (static_cast<::GenerationDescription*>(p));
   }
   static void destruct_GenerationDescription(void *p) {
      typedef ::GenerationDescription current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_GenerationDescription(TBuffer &buf, void *obj) {
      ((::GenerationDescription*)obj)->::GenerationDescription::Streamer(buf);
   }
} // end of namespace ROOT for class ::GenerationDescription

namespace ROOT {
   // Wrappers around operator new
   static void *new_UserEventAnalysis(void *p) {
      return  p ? new(p) ::UserEventAnalysis : new ::UserEventAnalysis;
   }
   static void *newArray_UserEventAnalysis(Long_t nElements, void *p) {
      return p ? new(p) ::UserEventAnalysis[nElements] : new ::UserEventAnalysis[nElements];
   }
   // Wrapper around operator delete
   static void delete_UserEventAnalysis(void *p) {
      delete (static_cast<::UserEventAnalysis*>(p));
   }
   static void deleteArray_UserEventAnalysis(void *p) {
      delete [] (static_cast<::UserEventAnalysis*>(p));
   }
   static void destruct_UserEventAnalysis(void *p) {
      typedef ::UserEventAnalysis current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
} // end of namespace ROOT for class ::UserEventAnalysis

namespace ROOT {
   // Wrappers around operator new
   static void *new_LC_EventAnalysis(void *p) {
      return  p ? new(p) ::LC_EventAnalysis : new ::LC_EventAnalysis;
   }
   static void *newArray_LC_EventAnalysis(Long_t nElements, void *p) {
      return p ? new(p) ::LC_EventAnalysis[nElements] : new ::LC_EventAnalysis[nElements];
   }
   // Wrapper around operator delete
   static void delete_LC_EventAnalysis(void *p) {
      delete (static_cast<::LC_EventAnalysis*>(p));
   }
   static void deleteArray_LC_EventAnalysis(void *p) {
      delete [] (static_cast<::LC_EventAnalysis*>(p));
   }
   static void destruct_LC_EventAnalysis(void *p) {
      typedef ::LC_EventAnalysis current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
} // end of namespace ROOT for class ::LC_EventAnalysis

namespace ROOT {
   // Wrappers around operator new
   static void *new_HerwigEventAnalysis(void *p) {
      return  p ? new(p) ::HerwigEventAnalysis : new ::HerwigEventAnalysis;
   }
   static void *newArray_HerwigEventAnalysis(Long_t nElements, void *p) {
      return p ? new(p) ::HerwigEventAnalysis[nElements] : new ::HerwigEventAnalysis[nElements];
   }
   // Wrapper around operator delete
   static void delete_HerwigEventAnalysis(void *p) {
      delete (static_cast<::HerwigEventAnalysis*>(p));
   }
   static void deleteArray_HerwigEventAnalysis(void *p) {
      delete [] (static_cast<::HerwigEventAnalysis*>(p));
   }
   static void destruct_HerwigEventAnalysis(void *p) {
      typedef ::HerwigEventAnalysis current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
} // end of namespace ROOT for class ::HerwigEventAnalysis

namespace ROOT {
   // Wrappers around operator new
   static void *new_MadGraphEventReader(void *p) {
      return  p ? new(p) ::MadGraphEventReader : new ::MadGraphEventReader;
   }
   static void *newArray_MadGraphEventReader(Long_t nElements, void *p) {
      return p ? new(p) ::MadGraphEventReader[nElements] : new ::MadGraphEventReader[nElements];
   }
   // Wrapper around operator delete
   static void delete_MadGraphEventReader(void *p) {
      delete (static_cast<::MadGraphEventReader*>(p));
   }
   static void deleteArray_MadGraphEventReader(void *p) {
      delete [] (static_cast<::MadGraphEventReader*>(p));
   }
   static void destruct_MadGraphEventReader(void *p) {
      typedef ::MadGraphEventReader current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
} // end of namespace ROOT for class ::MadGraphEventReader

namespace {
  void TriggerDictionaryInitialization_MCTesterDict_Impl() {
    static const char* headers[] = {
"TDecayMode.H",
"TDecayResult.H",
"Setup.H",
"TUserAnalysis.H",
"Generate.h",
"MCTester-F77.h",
"GenerationDescription.H",
"MCTest01.H",
"MCTest02.H",
"MCTest03.H",
"UserEventAnalysis.H",
"MCTesterEvent.H",
"UserTreeAnalysis.H",
nullptr
    };
    static const char* includePaths[] = {
"../HEPEvent",
"/usr/include/root",
"/builddir/build/BUILD/MC-TESTER-1.25.1-build/mc-tester-v1.25.1/src/",
nullptr
    };
    static const char* fwdDeclCode = R"DICTFWDDCLS(
#line 1 "MCTesterDict dictionary forward declarations' payload"
#pragma clang diagnostic ignored "-Wkeyword-compat"
#pragma clang diagnostic ignored "-Wignored-attributes"
#pragma clang diagnostic ignored "-Wreturn-type-c-linkage"
extern int __Cling_AutoLoading_Map;
class __attribute__((annotate("$clingAutoload$TDecayMode.H")))  TDecayMode;
class __attribute__((annotate("$clingAutoload$TDecayResult.H")))  TDecayResult;
class __attribute__((annotate("$clingAutoload$Setup.H")))  Setup;
class __attribute__((annotate("$clingAutoload$GenerationDescription.H")))  GenerationDescription;
class __attribute__((annotate("$clingAutoload$UserEventAnalysis.H")))  UserEventAnalysis;
class __attribute__((annotate("$clingAutoload$UserEventAnalysis.H")))  LC_EventAnalysis;
class __attribute__((annotate("$clingAutoload$UserEventAnalysis.H")))  HerwigEventAnalysis;
class __attribute__((annotate("$clingAutoload$UserEventAnalysis.H")))  MadGraphEventReader;
)DICTFWDDCLS";
    static const char* payloadCode = R"DICTPAYLOAD(
#line 1 "MCTesterDict dictionary payload"


#define _BACKWARD_BACKWARD_WARNING_H
// Inline headers
#include "TDecayMode.H"
#include "TDecayResult.H"
#include "Setup.H"
#include "TUserAnalysis.H"
#include "Generate.h"
#include "MCTester-F77.h"
#include "GenerationDescription.H"
#include "MCTest01.H"
#include "MCTest02.H"
#include "MCTest03.H"
#include "UserEventAnalysis.H"
#include "MCTesterEvent.H"
#include "UserTreeAnalysis.H"

#undef  _BACKWARD_BACKWARD_WARNING_H
)DICTPAYLOAD";
    static const char* classesHeaders[] = {
"GenerationDescription", payloadCode, "@",
"HerwigEventAnalysis", payloadCode, "@",
"KolmogorovAnalysis", payloadCode, "@",
"LC_EventAnalysis", payloadCode, "@",
"MCTEVT", payloadCode, "@",
"MCTest01", payloadCode, "@",
"MCTest02", payloadCode, "@",
"MCTest03", payloadCode, "@",
"MC_FillUserHistogram", payloadCode, "@",
"MC_Finalize", payloadCode, "@",
"MC_Initialize", payloadCode, "@",
"MadGraphEventReader", payloadCode, "@",
"Setup", payloadCode, "@",
"TDecayMode", payloadCode, "@",
"TDecayResult", payloadCode, "@",
"UserEventAnalysis", payloadCode, "@",
"mcsetup_", payloadCode, "@",
"mcsetuphbins_", payloadCode, "@",
"mcsetuphist_", payloadCode, "@",
"mcsetuphmax_", payloadCode, "@",
"mcsetuphmin_", payloadCode, "@",
"mctest_", payloadCode, "@",
"mctestw_", payloadCode, "@",
"mcthbk_", payloadCode, "@",
"mcthfil_", payloadCode, "@",
nullptr
};
    static bool isInitialized = false;
    if (!isInitialized) {
      TROOT::RegisterModule("MCTesterDict",
        headers, includePaths, payloadCode, fwdDeclCode,
        TriggerDictionaryInitialization_MCTesterDict_Impl, {}, classesHeaders, /*hasCxxModule*/false);
      isInitialized = true;
    }
  }
  static struct DictInit {
    DictInit() {
      TriggerDictionaryInitialization_MCTesterDict_Impl();
    }
  } __TheDictionaryInitializer;
}
void TriggerDictionaryInitialization_MCTesterDict() {
  TriggerDictionaryInitialization_MCTesterDict_Impl();
}
