// Do NOT change. Changes will be lost next time file is generated

#define R__DICTIONARY_FILENAME HEPEventDict
#define R__NO_DEPRECATION

/*******************************************************************/
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#define G__DICTIONARY
#include "ROOT/RConfig.hxx"
#include "TClass.h"
#include "TDictAttributeMap.h"
#include "TInterpreter.h"
#include "TROOT.h"
#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TInterpreter.h"
#include "TVirtualMutex.h"
#include "TError.h"

#ifndef G__ROOT
#define G__ROOT
#endif

#include "RtypesImp.h"
#include "TIsAProxy.h"
#include "TFileMergeInfo.h"
#include <algorithm>
#include "TCollectionProxyInfo.h"
/*******************************************************************/

#include "TDataMember.h"

// Header files passed as explicit arguments
#include "HEPParticle.H"
#include "HEPEvent.H"
#include "LUJETSEvent.H"
#include "LUJETSParticle.H"
#include "PYJETSEvent.H"
#include "PYJETSParticle.H"
#include "HerwigParticle.H"
#include "HerwigEvent.H"
#include "HEPEVTEvent.H"
#include "HEPEVTParticle.H"
#include "THEPEvent.H"
#include "THEPParticle.H"
#include "MC3Vector.H"
#include "MC4Vector.H"

// Header files passed via #pragma extra_include

// The generated code does not explicitly qualify STL entities
namespace std {} using namespace std;

namespace ROOT {
   static void delete_HEPParticle(void *p);
   static void deleteArray_HEPParticle(void *p);
   static void destruct_HEPParticle(void *p);
   static void streamer_HEPParticle(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HEPParticle*)
   {
      ::HEPParticle *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HEPParticle >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HEPParticle", ::HEPParticle::Class_Version(), "HEPParticle.H", 32,
                  typeid(::HEPParticle), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HEPParticle::Dictionary, isa_proxy, 17,
                  sizeof(::HEPParticle) );
      instance.SetDelete(&delete_HEPParticle);
      instance.SetDeleteArray(&deleteArray_HEPParticle);
      instance.SetDestructor(&destruct_HEPParticle);
      instance.SetStreamerFunc(&streamer_HEPParticle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HEPParticle*)
   {
      return GenerateInitInstanceLocal(static_cast<::HEPParticle*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HEPParticle*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void delete_HEPParticleListIterator(void *p);
   static void deleteArray_HEPParticleListIterator(void *p);
   static void destruct_HEPParticleListIterator(void *p);
   static void streamer_HEPParticleListIterator(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HEPParticleListIterator*)
   {
      ::HEPParticleListIterator *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HEPParticleListIterator >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HEPParticleListIterator", ::HEPParticleListIterator::Class_Version(), "HEPParticle.H", 126,
                  typeid(::HEPParticleListIterator), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HEPParticleListIterator::Dictionary, isa_proxy, 17,
                  sizeof(::HEPParticleListIterator) );
      instance.SetDelete(&delete_HEPParticleListIterator);
      instance.SetDeleteArray(&deleteArray_HEPParticleListIterator);
      instance.SetDestructor(&destruct_HEPParticleListIterator);
      instance.SetStreamerFunc(&streamer_HEPParticleListIterator);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HEPParticleListIterator*)
   {
      return GenerateInitInstanceLocal(static_cast<::HEPParticleListIterator*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HEPParticleListIterator*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_HEPParticleList(void *p = nullptr);
   static void *newArray_HEPParticleList(Long_t size, void *p);
   static void delete_HEPParticleList(void *p);
   static void deleteArray_HEPParticleList(void *p);
   static void destruct_HEPParticleList(void *p);
   static void streamer_HEPParticleList(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HEPParticleList*)
   {
      ::HEPParticleList *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HEPParticleList >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HEPParticleList", ::HEPParticleList::Class_Version(), "HEPParticle.H", 149,
                  typeid(::HEPParticleList), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HEPParticleList::Dictionary, isa_proxy, 17,
                  sizeof(::HEPParticleList) );
      instance.SetNew(&new_HEPParticleList);
      instance.SetNewArray(&newArray_HEPParticleList);
      instance.SetDelete(&delete_HEPParticleList);
      instance.SetDeleteArray(&deleteArray_HEPParticleList);
      instance.SetDestructor(&destruct_HEPParticleList);
      instance.SetStreamerFunc(&streamer_HEPParticleList);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HEPParticleList*)
   {
      return GenerateInitInstanceLocal(static_cast<::HEPParticleList*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HEPParticleList*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void delete_HEPEvent(void *p);
   static void deleteArray_HEPEvent(void *p);
   static void destruct_HEPEvent(void *p);
   static void streamer_HEPEvent(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HEPEvent*)
   {
      ::HEPEvent *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HEPEvent >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HEPEvent", ::HEPEvent::Class_Version(), "HEPEvent.H", 23,
                  typeid(::HEPEvent), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HEPEvent::Dictionary, isa_proxy, 17,
                  sizeof(::HEPEvent) );
      instance.SetDelete(&delete_HEPEvent);
      instance.SetDeleteArray(&deleteArray_HEPEvent);
      instance.SetDestructor(&destruct_HEPEvent);
      instance.SetStreamerFunc(&streamer_HEPEvent);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HEPEvent*)
   {
      return GenerateInitInstanceLocal(static_cast<::HEPEvent*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HEPEvent*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_LUJETSParticle(void *p = nullptr);
   static void *newArray_LUJETSParticle(Long_t size, void *p);
   static void delete_LUJETSParticle(void *p);
   static void deleteArray_LUJETSParticle(void *p);
   static void destruct_LUJETSParticle(void *p);
   static void streamer_LUJETSParticle(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::LUJETSParticle*)
   {
      ::LUJETSParticle *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::LUJETSParticle >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("LUJETSParticle", ::LUJETSParticle::Class_Version(), "LUJETSParticle.H", 26,
                  typeid(::LUJETSParticle), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::LUJETSParticle::Dictionary, isa_proxy, 17,
                  sizeof(::LUJETSParticle) );
      instance.SetNew(&new_LUJETSParticle);
      instance.SetNewArray(&newArray_LUJETSParticle);
      instance.SetDelete(&delete_LUJETSParticle);
      instance.SetDeleteArray(&deleteArray_LUJETSParticle);
      instance.SetDestructor(&destruct_LUJETSParticle);
      instance.SetStreamerFunc(&streamer_LUJETSParticle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::LUJETSParticle*)
   {
      return GenerateInitInstanceLocal(static_cast<::LUJETSParticle*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::LUJETSParticle*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_LUJETSEvent(void *p = nullptr);
   static void *newArray_LUJETSEvent(Long_t size, void *p);
   static void delete_LUJETSEvent(void *p);
   static void deleteArray_LUJETSEvent(void *p);
   static void destruct_LUJETSEvent(void *p);
   static void streamer_LUJETSEvent(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::LUJETSEvent*)
   {
      ::LUJETSEvent *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::LUJETSEvent >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("LUJETSEvent", ::LUJETSEvent::Class_Version(), "LUJETSEvent.H", 64,
                  typeid(::LUJETSEvent), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::LUJETSEvent::Dictionary, isa_proxy, 17,
                  sizeof(::LUJETSEvent) );
      instance.SetNew(&new_LUJETSEvent);
      instance.SetNewArray(&newArray_LUJETSEvent);
      instance.SetDelete(&delete_LUJETSEvent);
      instance.SetDeleteArray(&deleteArray_LUJETSEvent);
      instance.SetDestructor(&destruct_LUJETSEvent);
      instance.SetStreamerFunc(&streamer_LUJETSEvent);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::LUJETSEvent*)
   {
      return GenerateInitInstanceLocal(static_cast<::LUJETSEvent*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::LUJETSEvent*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_PYJETSParticle(void *p = nullptr);
   static void *newArray_PYJETSParticle(Long_t size, void *p);
   static void delete_PYJETSParticle(void *p);
   static void deleteArray_PYJETSParticle(void *p);
   static void destruct_PYJETSParticle(void *p);
   static void streamer_PYJETSParticle(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::PYJETSParticle*)
   {
      ::PYJETSParticle *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::PYJETSParticle >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("PYJETSParticle", ::PYJETSParticle::Class_Version(), "PYJETSParticle.H", 26,
                  typeid(::PYJETSParticle), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::PYJETSParticle::Dictionary, isa_proxy, 17,
                  sizeof(::PYJETSParticle) );
      instance.SetNew(&new_PYJETSParticle);
      instance.SetNewArray(&newArray_PYJETSParticle);
      instance.SetDelete(&delete_PYJETSParticle);
      instance.SetDeleteArray(&deleteArray_PYJETSParticle);
      instance.SetDestructor(&destruct_PYJETSParticle);
      instance.SetStreamerFunc(&streamer_PYJETSParticle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::PYJETSParticle*)
   {
      return GenerateInitInstanceLocal(static_cast<::PYJETSParticle*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::PYJETSParticle*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_PYJETSEvent(void *p = nullptr);
   static void *newArray_PYJETSEvent(Long_t size, void *p);
   static void delete_PYJETSEvent(void *p);
   static void deleteArray_PYJETSEvent(void *p);
   static void destruct_PYJETSEvent(void *p);
   static void streamer_PYJETSEvent(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::PYJETSEvent*)
   {
      ::PYJETSEvent *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::PYJETSEvent >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("PYJETSEvent", ::PYJETSEvent::Class_Version(), "PYJETSEvent.H", 66,
                  typeid(::PYJETSEvent), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::PYJETSEvent::Dictionary, isa_proxy, 17,
                  sizeof(::PYJETSEvent) );
      instance.SetNew(&new_PYJETSEvent);
      instance.SetNewArray(&newArray_PYJETSEvent);
      instance.SetDelete(&delete_PYJETSEvent);
      instance.SetDeleteArray(&deleteArray_PYJETSEvent);
      instance.SetDestructor(&destruct_PYJETSEvent);
      instance.SetStreamerFunc(&streamer_PYJETSEvent);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::PYJETSEvent*)
   {
      return GenerateInitInstanceLocal(static_cast<::PYJETSEvent*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::PYJETSEvent*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_HEPEVTParticle(void *p = nullptr);
   static void *newArray_HEPEVTParticle(Long_t size, void *p);
   static void delete_HEPEVTParticle(void *p);
   static void deleteArray_HEPEVTParticle(void *p);
   static void destruct_HEPEVTParticle(void *p);
   static void streamer_HEPEVTParticle(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HEPEVTParticle*)
   {
      ::HEPEVTParticle *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HEPEVTParticle >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HEPEVTParticle", ::HEPEVTParticle::Class_Version(), "HEPEVTParticle.H", 26,
                  typeid(::HEPEVTParticle), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HEPEVTParticle::Dictionary, isa_proxy, 17,
                  sizeof(::HEPEVTParticle) );
      instance.SetNew(&new_HEPEVTParticle);
      instance.SetNewArray(&newArray_HEPEVTParticle);
      instance.SetDelete(&delete_HEPEVTParticle);
      instance.SetDeleteArray(&deleteArray_HEPEVTParticle);
      instance.SetDestructor(&destruct_HEPEVTParticle);
      instance.SetStreamerFunc(&streamer_HEPEVTParticle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HEPEVTParticle*)
   {
      return GenerateInitInstanceLocal(static_cast<::HEPEVTParticle*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HEPEVTParticle*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_HerwigParticle(void *p = nullptr);
   static void *newArray_HerwigParticle(Long_t size, void *p);
   static void delete_HerwigParticle(void *p);
   static void deleteArray_HerwigParticle(void *p);
   static void destruct_HerwigParticle(void *p);
   static void streamer_HerwigParticle(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HerwigParticle*)
   {
      ::HerwigParticle *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HerwigParticle >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HerwigParticle", ::HerwigParticle::Class_Version(), "HerwigParticle.H", 25,
                  typeid(::HerwigParticle), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HerwigParticle::Dictionary, isa_proxy, 17,
                  sizeof(::HerwigParticle) );
      instance.SetNew(&new_HerwigParticle);
      instance.SetNewArray(&newArray_HerwigParticle);
      instance.SetDelete(&delete_HerwigParticle);
      instance.SetDeleteArray(&deleteArray_HerwigParticle);
      instance.SetDestructor(&destruct_HerwigParticle);
      instance.SetStreamerFunc(&streamer_HerwigParticle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HerwigParticle*)
   {
      return GenerateInitInstanceLocal(static_cast<::HerwigParticle*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HerwigParticle*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_HEPEVTEvent(void *p = nullptr);
   static void *newArray_HEPEVTEvent(Long_t size, void *p);
   static void delete_HEPEVTEvent(void *p);
   static void deleteArray_HEPEVTEvent(void *p);
   static void destruct_HEPEVTEvent(void *p);
   static void streamer_HEPEVTEvent(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HEPEVTEvent*)
   {
      ::HEPEVTEvent *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HEPEVTEvent >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HEPEVTEvent", ::HEPEVTEvent::Class_Version(), "HEPEVTEvent.H", 99,
                  typeid(::HEPEVTEvent), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HEPEVTEvent::Dictionary, isa_proxy, 17,
                  sizeof(::HEPEVTEvent) );
      instance.SetNew(&new_HEPEVTEvent);
      instance.SetNewArray(&newArray_HEPEVTEvent);
      instance.SetDelete(&delete_HEPEVTEvent);
      instance.SetDeleteArray(&deleteArray_HEPEVTEvent);
      instance.SetDestructor(&destruct_HEPEVTEvent);
      instance.SetStreamerFunc(&streamer_HEPEVTEvent);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HEPEVTEvent*)
   {
      return GenerateInitInstanceLocal(static_cast<::HEPEVTEvent*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HEPEVTEvent*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_HerwigEvent(void *p = nullptr);
   static void *newArray_HerwigEvent(Long_t size, void *p);
   static void delete_HerwigEvent(void *p);
   static void deleteArray_HerwigEvent(void *p);
   static void destruct_HerwigEvent(void *p);
   static void streamer_HerwigEvent(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HerwigEvent*)
   {
      ::HerwigEvent *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HerwigEvent >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("HerwigEvent", ::HerwigEvent::Class_Version(), "HerwigEvent.H", 26,
                  typeid(::HerwigEvent), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HerwigEvent::Dictionary, isa_proxy, 17,
                  sizeof(::HerwigEvent) );
      instance.SetNew(&new_HerwigEvent);
      instance.SetNewArray(&newArray_HerwigEvent);
      instance.SetDelete(&delete_HerwigEvent);
      instance.SetDeleteArray(&deleteArray_HerwigEvent);
      instance.SetDestructor(&destruct_HerwigEvent);
      instance.SetStreamerFunc(&streamer_HerwigEvent);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HerwigEvent*)
   {
      return GenerateInitInstanceLocal(static_cast<::HerwigEvent*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::HerwigEvent*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_THEPParticle(void *p = nullptr);
   static void *newArray_THEPParticle(Long_t size, void *p);
   static void delete_THEPParticle(void *p);
   static void deleteArray_THEPParticle(void *p);
   static void destruct_THEPParticle(void *p);
   static void streamer_THEPParticle(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::THEPParticle*)
   {
      ::THEPParticle *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::THEPParticle >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("THEPParticle", ::THEPParticle::Class_Version(), "THEPParticle.H", 36,
                  typeid(::THEPParticle), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::THEPParticle::Dictionary, isa_proxy, 17,
                  sizeof(::THEPParticle) );
      instance.SetNew(&new_THEPParticle);
      instance.SetNewArray(&newArray_THEPParticle);
      instance.SetDelete(&delete_THEPParticle);
      instance.SetDeleteArray(&deleteArray_THEPParticle);
      instance.SetDestructor(&destruct_THEPParticle);
      instance.SetStreamerFunc(&streamer_THEPParticle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::THEPParticle*)
   {
      return GenerateInitInstanceLocal(static_cast<::THEPParticle*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::THEPParticle*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void delete_THEPEvent(void *p);
   static void deleteArray_THEPEvent(void *p);
   static void destruct_THEPEvent(void *p);
   static void streamer_THEPEvent(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::THEPEvent*)
   {
      ::THEPEvent *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::THEPEvent >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("THEPEvent", ::THEPEvent::Class_Version(), "THEPEvent.H", 48,
                  typeid(::THEPEvent), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::THEPEvent::Dictionary, isa_proxy, 17,
                  sizeof(::THEPEvent) );
      instance.SetDelete(&delete_THEPEvent);
      instance.SetDeleteArray(&deleteArray_THEPEvent);
      instance.SetDestructor(&destruct_THEPEvent);
      instance.SetStreamerFunc(&streamer_THEPEvent);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::THEPEvent*)
   {
      return GenerateInitInstanceLocal(static_cast<::THEPEvent*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::THEPEvent*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_MC3Vector(void *p = nullptr);
   static void *newArray_MC3Vector(Long_t size, void *p);
   static void delete_MC3Vector(void *p);
   static void deleteArray_MC3Vector(void *p);
   static void destruct_MC3Vector(void *p);
   static void streamer_MC3Vector(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::MC3Vector*)
   {
      ::MC3Vector *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::MC3Vector >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("MC3Vector", ::MC3Vector::Class_Version(), "MC3Vector.H", 22,
                  typeid(::MC3Vector), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::MC3Vector::Dictionary, isa_proxy, 16,
                  sizeof(::MC3Vector) );
      instance.SetNew(&new_MC3Vector);
      instance.SetNewArray(&newArray_MC3Vector);
      instance.SetDelete(&delete_MC3Vector);
      instance.SetDeleteArray(&deleteArray_MC3Vector);
      instance.SetDestructor(&destruct_MC3Vector);
      instance.SetStreamerFunc(&streamer_MC3Vector);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::MC3Vector*)
   {
      return GenerateInitInstanceLocal(static_cast<::MC3Vector*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::MC3Vector*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void *new_MC4Vector(void *p = nullptr);
   static void *newArray_MC4Vector(Long_t size, void *p);
   static void delete_MC4Vector(void *p);
   static void deleteArray_MC4Vector(void *p);
   static void destruct_MC4Vector(void *p);
   static void streamer_MC4Vector(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::MC4Vector*)
   {
      ::MC4Vector *ptr = nullptr;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::MC4Vector >(nullptr);
      static ::ROOT::TGenericClassInfo 
         instance("MC4Vector", ::MC4Vector::Class_Version(), "MC4Vector.H", 22,
                  typeid(::MC4Vector), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::MC4Vector::Dictionary, isa_proxy, 16,
                  sizeof(::MC4Vector) );
      instance.SetNew(&new_MC4Vector);
      instance.SetNewArray(&newArray_MC4Vector);
      instance.SetDelete(&delete_MC4Vector);
      instance.SetDeleteArray(&deleteArray_MC4Vector);
      instance.SetDestructor(&destruct_MC4Vector);
      instance.SetStreamerFunc(&streamer_MC4Vector);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::MC4Vector*)
   {
      return GenerateInitInstanceLocal(static_cast<::MC4Vector*>(nullptr));
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal(static_cast<const ::MC4Vector*>(nullptr)); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

//______________________________________________________________________________
atomic_TClass_ptr HEPParticle::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HEPParticle::Class_Name()
{
   return "HEPParticle";
}

//______________________________________________________________________________
const char *HEPParticle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPParticle*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HEPParticle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPParticle*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HEPParticle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPParticle*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HEPParticle::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPParticle*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HEPParticleListIterator::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HEPParticleListIterator::Class_Name()
{
   return "HEPParticleListIterator";
}

//______________________________________________________________________________
const char *HEPParticleListIterator::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPParticleListIterator*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HEPParticleListIterator::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPParticleListIterator*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HEPParticleListIterator::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPParticleListIterator*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HEPParticleListIterator::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPParticleListIterator*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HEPParticleList::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HEPParticleList::Class_Name()
{
   return "HEPParticleList";
}

//______________________________________________________________________________
const char *HEPParticleList::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPParticleList*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HEPParticleList::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPParticleList*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HEPParticleList::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPParticleList*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HEPParticleList::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPParticleList*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HEPEvent::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HEPEvent::Class_Name()
{
   return "HEPEvent";
}

//______________________________________________________________________________
const char *HEPEvent::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPEvent*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HEPEvent::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPEvent*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HEPEvent::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPEvent*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HEPEvent::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPEvent*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr LUJETSParticle::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *LUJETSParticle::Class_Name()
{
   return "LUJETSParticle";
}

//______________________________________________________________________________
const char *LUJETSParticle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::LUJETSParticle*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int LUJETSParticle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::LUJETSParticle*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *LUJETSParticle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::LUJETSParticle*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *LUJETSParticle::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::LUJETSParticle*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr LUJETSEvent::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *LUJETSEvent::Class_Name()
{
   return "LUJETSEvent";
}

//______________________________________________________________________________
const char *LUJETSEvent::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::LUJETSEvent*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int LUJETSEvent::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::LUJETSEvent*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *LUJETSEvent::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::LUJETSEvent*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *LUJETSEvent::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::LUJETSEvent*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr PYJETSParticle::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *PYJETSParticle::Class_Name()
{
   return "PYJETSParticle";
}

//______________________________________________________________________________
const char *PYJETSParticle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::PYJETSParticle*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int PYJETSParticle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::PYJETSParticle*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *PYJETSParticle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::PYJETSParticle*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *PYJETSParticle::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::PYJETSParticle*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr PYJETSEvent::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *PYJETSEvent::Class_Name()
{
   return "PYJETSEvent";
}

//______________________________________________________________________________
const char *PYJETSEvent::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::PYJETSEvent*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int PYJETSEvent::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::PYJETSEvent*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *PYJETSEvent::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::PYJETSEvent*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *PYJETSEvent::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::PYJETSEvent*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HEPEVTParticle::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HEPEVTParticle::Class_Name()
{
   return "HEPEVTParticle";
}

//______________________________________________________________________________
const char *HEPEVTParticle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPEVTParticle*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HEPEVTParticle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPEVTParticle*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HEPEVTParticle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPEVTParticle*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HEPEVTParticle::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPEVTParticle*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HerwigParticle::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HerwigParticle::Class_Name()
{
   return "HerwigParticle";
}

//______________________________________________________________________________
const char *HerwigParticle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HerwigParticle*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HerwigParticle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HerwigParticle*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HerwigParticle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HerwigParticle*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HerwigParticle::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HerwigParticle*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HEPEVTEvent::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HEPEVTEvent::Class_Name()
{
   return "HEPEVTEvent";
}

//______________________________________________________________________________
const char *HEPEVTEvent::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPEVTEvent*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HEPEVTEvent::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HEPEVTEvent*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HEPEVTEvent::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPEVTEvent*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HEPEVTEvent::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HEPEVTEvent*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HerwigEvent::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *HerwigEvent::Class_Name()
{
   return "HerwigEvent";
}

//______________________________________________________________________________
const char *HerwigEvent::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HerwigEvent*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int HerwigEvent::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HerwigEvent*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HerwigEvent::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HerwigEvent*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HerwigEvent::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HerwigEvent*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr THEPParticle::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *THEPParticle::Class_Name()
{
   return "THEPParticle";
}

//______________________________________________________________________________
const char *THEPParticle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::THEPParticle*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int THEPParticle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::THEPParticle*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *THEPParticle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::THEPParticle*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *THEPParticle::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::THEPParticle*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr THEPEvent::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *THEPEvent::Class_Name()
{
   return "THEPEvent";
}

//______________________________________________________________________________
const char *THEPEvent::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::THEPEvent*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int THEPEvent::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::THEPEvent*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *THEPEvent::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::THEPEvent*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *THEPEvent::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::THEPEvent*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr MC3Vector::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *MC3Vector::Class_Name()
{
   return "MC3Vector";
}

//______________________________________________________________________________
const char *MC3Vector::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::MC3Vector*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int MC3Vector::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::MC3Vector*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *MC3Vector::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::MC3Vector*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *MC3Vector::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::MC3Vector*)nullptr)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr MC4Vector::fgIsA(nullptr);  // static to hold class pointer

//______________________________________________________________________________
const char *MC4Vector::Class_Name()
{
   return "MC4Vector";
}

//______________________________________________________________________________
const char *MC4Vector::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::MC4Vector*)nullptr)->GetImplFileName();
}

//______________________________________________________________________________
int MC4Vector::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::MC4Vector*)nullptr)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *MC4Vector::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::MC4Vector*)nullptr)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *MC4Vector::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::MC4Vector*)nullptr)->GetClass(); }
   return fgIsA;
}

namespace ROOT {
   // Wrapper around operator delete
   static void delete_HEPParticle(void *p) {
      delete (static_cast<::HEPParticle*>(p));
   }
   static void deleteArray_HEPParticle(void *p) {
      delete [] (static_cast<::HEPParticle*>(p));
   }
   static void destruct_HEPParticle(void *p) {
      typedef ::HEPParticle current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HEPParticle(TBuffer &buf, void *obj) {
      ((::HEPParticle*)obj)->::HEPParticle::Streamer(buf);
   }
} // end of namespace ROOT for class ::HEPParticle

namespace ROOT {
   // Wrapper around operator delete
   static void delete_HEPParticleListIterator(void *p) {
      delete (static_cast<::HEPParticleListIterator*>(p));
   }
   static void deleteArray_HEPParticleListIterator(void *p) {
      delete [] (static_cast<::HEPParticleListIterator*>(p));
   }
   static void destruct_HEPParticleListIterator(void *p) {
      typedef ::HEPParticleListIterator current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HEPParticleListIterator(TBuffer &buf, void *obj) {
      ((::HEPParticleListIterator*)obj)->::HEPParticleListIterator::Streamer(buf);
   }
} // end of namespace ROOT for class ::HEPParticleListIterator

namespace ROOT {
   // Wrappers around operator new
   static void *new_HEPParticleList(void *p) {
      return  p ? new(p) ::HEPParticleList : new ::HEPParticleList;
   }
   static void *newArray_HEPParticleList(Long_t nElements, void *p) {
      return p ? new(p) ::HEPParticleList[nElements] : new ::HEPParticleList[nElements];
   }
   // Wrapper around operator delete
   static void delete_HEPParticleList(void *p) {
      delete (static_cast<::HEPParticleList*>(p));
   }
   static void deleteArray_HEPParticleList(void *p) {
      delete [] (static_cast<::HEPParticleList*>(p));
   }
   static void destruct_HEPParticleList(void *p) {
      typedef ::HEPParticleList current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HEPParticleList(TBuffer &buf, void *obj) {
      ((::HEPParticleList*)obj)->::HEPParticleList::Streamer(buf);
   }
} // end of namespace ROOT for class ::HEPParticleList

namespace ROOT {
   // Wrapper around operator delete
   static void delete_HEPEvent(void *p) {
      delete (static_cast<::HEPEvent*>(p));
   }
   static void deleteArray_HEPEvent(void *p) {
      delete [] (static_cast<::HEPEvent*>(p));
   }
   static void destruct_HEPEvent(void *p) {
      typedef ::HEPEvent current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HEPEvent(TBuffer &buf, void *obj) {
      ((::HEPEvent*)obj)->::HEPEvent::Streamer(buf);
   }
} // end of namespace ROOT for class ::HEPEvent

namespace ROOT {
   // Wrappers around operator new
   static void *new_LUJETSParticle(void *p) {
      return  p ? new(p) ::LUJETSParticle : new ::LUJETSParticle;
   }
   static void *newArray_LUJETSParticle(Long_t nElements, void *p) {
      return p ? new(p) ::LUJETSParticle[nElements] : new ::LUJETSParticle[nElements];
   }
   // Wrapper around operator delete
   static void delete_LUJETSParticle(void *p) {
      delete (static_cast<::LUJETSParticle*>(p));
   }
   static void deleteArray_LUJETSParticle(void *p) {
      delete [] (static_cast<::LUJETSParticle*>(p));
   }
   static void destruct_LUJETSParticle(void *p) {
      typedef ::LUJETSParticle current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_LUJETSParticle(TBuffer &buf, void *obj) {
      ((::LUJETSParticle*)obj)->::LUJETSParticle::Streamer(buf);
   }
} // end of namespace ROOT for class ::LUJETSParticle

namespace ROOT {
   // Wrappers around operator new
   static void *new_LUJETSEvent(void *p) {
      return  p ? new(p) ::LUJETSEvent : new ::LUJETSEvent;
   }
   static void *newArray_LUJETSEvent(Long_t nElements, void *p) {
      return p ? new(p) ::LUJETSEvent[nElements] : new ::LUJETSEvent[nElements];
   }
   // Wrapper around operator delete
   static void delete_LUJETSEvent(void *p) {
      delete (static_cast<::LUJETSEvent*>(p));
   }
   static void deleteArray_LUJETSEvent(void *p) {
      delete [] (static_cast<::LUJETSEvent*>(p));
   }
   static void destruct_LUJETSEvent(void *p) {
      typedef ::LUJETSEvent current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_LUJETSEvent(TBuffer &buf, void *obj) {
      ((::LUJETSEvent*)obj)->::LUJETSEvent::Streamer(buf);
   }
} // end of namespace ROOT for class ::LUJETSEvent

namespace ROOT {
   // Wrappers around operator new
   static void *new_PYJETSParticle(void *p) {
      return  p ? new(p) ::PYJETSParticle : new ::PYJETSParticle;
   }
   static void *newArray_PYJETSParticle(Long_t nElements, void *p) {
      return p ? new(p) ::PYJETSParticle[nElements] : new ::PYJETSParticle[nElements];
   }
   // Wrapper around operator delete
   static void delete_PYJETSParticle(void *p) {
      delete (static_cast<::PYJETSParticle*>(p));
   }
   static void deleteArray_PYJETSParticle(void *p) {
      delete [] (static_cast<::PYJETSParticle*>(p));
   }
   static void destruct_PYJETSParticle(void *p) {
      typedef ::PYJETSParticle current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_PYJETSParticle(TBuffer &buf, void *obj) {
      ((::PYJETSParticle*)obj)->::PYJETSParticle::Streamer(buf);
   }
} // end of namespace ROOT for class ::PYJETSParticle

namespace ROOT {
   // Wrappers around operator new
   static void *new_PYJETSEvent(void *p) {
      return  p ? new(p) ::PYJETSEvent : new ::PYJETSEvent;
   }
   static void *newArray_PYJETSEvent(Long_t nElements, void *p) {
      return p ? new(p) ::PYJETSEvent[nElements] : new ::PYJETSEvent[nElements];
   }
   // Wrapper around operator delete
   static void delete_PYJETSEvent(void *p) {
      delete (static_cast<::PYJETSEvent*>(p));
   }
   static void deleteArray_PYJETSEvent(void *p) {
      delete [] (static_cast<::PYJETSEvent*>(p));
   }
   static void destruct_PYJETSEvent(void *p) {
      typedef ::PYJETSEvent current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_PYJETSEvent(TBuffer &buf, void *obj) {
      ((::PYJETSEvent*)obj)->::PYJETSEvent::Streamer(buf);
   }
} // end of namespace ROOT for class ::PYJETSEvent

namespace ROOT {
   // Wrappers around operator new
   static void *new_HEPEVTParticle(void *p) {
      return  p ? new(p) ::HEPEVTParticle : new ::HEPEVTParticle;
   }
   static void *newArray_HEPEVTParticle(Long_t nElements, void *p) {
      return p ? new(p) ::HEPEVTParticle[nElements] : new ::HEPEVTParticle[nElements];
   }
   // Wrapper around operator delete
   static void delete_HEPEVTParticle(void *p) {
      delete (static_cast<::HEPEVTParticle*>(p));
   }
   static void deleteArray_HEPEVTParticle(void *p) {
      delete [] (static_cast<::HEPEVTParticle*>(p));
   }
   static void destruct_HEPEVTParticle(void *p) {
      typedef ::HEPEVTParticle current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HEPEVTParticle(TBuffer &buf, void *obj) {
      ((::HEPEVTParticle*)obj)->::HEPEVTParticle::Streamer(buf);
   }
} // end of namespace ROOT for class ::HEPEVTParticle

namespace ROOT {
   // Wrappers around operator new
   static void *new_HerwigParticle(void *p) {
      return  p ? new(p) ::HerwigParticle : new ::HerwigParticle;
   }
   static void *newArray_HerwigParticle(Long_t nElements, void *p) {
      return p ? new(p) ::HerwigParticle[nElements] : new ::HerwigParticle[nElements];
   }
   // Wrapper around operator delete
   static void delete_HerwigParticle(void *p) {
      delete (static_cast<::HerwigParticle*>(p));
   }
   static void deleteArray_HerwigParticle(void *p) {
      delete [] (static_cast<::HerwigParticle*>(p));
   }
   static void destruct_HerwigParticle(void *p) {
      typedef ::HerwigParticle current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HerwigParticle(TBuffer &buf, void *obj) {
      ((::HerwigParticle*)obj)->::HerwigParticle::Streamer(buf);
   }
} // end of namespace ROOT for class ::HerwigParticle

namespace ROOT {
   // Wrappers around operator new
   static void *new_HEPEVTEvent(void *p) {
      return  p ? new(p) ::HEPEVTEvent : new ::HEPEVTEvent;
   }
   static void *newArray_HEPEVTEvent(Long_t nElements, void *p) {
      return p ? new(p) ::HEPEVTEvent[nElements] : new ::HEPEVTEvent[nElements];
   }
   // Wrapper around operator delete
   static void delete_HEPEVTEvent(void *p) {
      delete (static_cast<::HEPEVTEvent*>(p));
   }
   static void deleteArray_HEPEVTEvent(void *p) {
      delete [] (static_cast<::HEPEVTEvent*>(p));
   }
   static void destruct_HEPEVTEvent(void *p) {
      typedef ::HEPEVTEvent current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HEPEVTEvent(TBuffer &buf, void *obj) {
      ((::HEPEVTEvent*)obj)->::HEPEVTEvent::Streamer(buf);
   }
} // end of namespace ROOT for class ::HEPEVTEvent

namespace ROOT {
   // Wrappers around operator new
   static void *new_HerwigEvent(void *p) {
      return  p ? new(p) ::HerwigEvent : new ::HerwigEvent;
   }
   static void *newArray_HerwigEvent(Long_t nElements, void *p) {
      return p ? new(p) ::HerwigEvent[nElements] : new ::HerwigEvent[nElements];
   }
   // Wrapper around operator delete
   static void delete_HerwigEvent(void *p) {
      delete (static_cast<::HerwigEvent*>(p));
   }
   static void deleteArray_HerwigEvent(void *p) {
      delete [] (static_cast<::HerwigEvent*>(p));
   }
   static void destruct_HerwigEvent(void *p) {
      typedef ::HerwigEvent current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HerwigEvent(TBuffer &buf, void *obj) {
      ((::HerwigEvent*)obj)->::HerwigEvent::Streamer(buf);
   }
} // end of namespace ROOT for class ::HerwigEvent

namespace ROOT {
   // Wrappers around operator new
   static void *new_THEPParticle(void *p) {
      return  p ? new(p) ::THEPParticle : new ::THEPParticle;
   }
   static void *newArray_THEPParticle(Long_t nElements, void *p) {
      return p ? new(p) ::THEPParticle[nElements] : new ::THEPParticle[nElements];
   }
   // Wrapper around operator delete
   static void delete_THEPParticle(void *p) {
      delete (static_cast<::THEPParticle*>(p));
   }
   static void deleteArray_THEPParticle(void *p) {
      delete [] (static_cast<::THEPParticle*>(p));
   }
   static void destruct_THEPParticle(void *p) {
      typedef ::THEPParticle current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_THEPParticle(TBuffer &buf, void *obj) {
      ((::THEPParticle*)obj)->::THEPParticle::Streamer(buf);
   }
} // end of namespace ROOT for class ::THEPParticle

namespace ROOT {
   // Wrapper around operator delete
   static void delete_THEPEvent(void *p) {
      delete (static_cast<::THEPEvent*>(p));
   }
   static void deleteArray_THEPEvent(void *p) {
      delete [] (static_cast<::THEPEvent*>(p));
   }
   static void destruct_THEPEvent(void *p) {
      typedef ::THEPEvent current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_THEPEvent(TBuffer &buf, void *obj) {
      ((::THEPEvent*)obj)->::THEPEvent::Streamer(buf);
   }
} // end of namespace ROOT for class ::THEPEvent

//______________________________________________________________________________
void MC3Vector::Streamer(TBuffer &R__b)
{
   // Stream an object of class MC3Vector.

   UInt_t R__s, R__c;
   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(&R__s, &R__c); if (R__v) { }
      TObject::Streamer(R__b);
      R__b >> v_X0;
      R__b >> v_X1;
      R__b >> v_X2;
      R__b.CheckByteCount(R__s, R__c, MC3Vector::IsA());
   } else {
      R__c = R__b.WriteVersion(MC3Vector::IsA(), kTRUE);
      TObject::Streamer(R__b);
      R__b << v_X0;
      R__b << v_X1;
      R__b << v_X2;
      R__b.SetByteCount(R__c, kTRUE);
   }
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_MC3Vector(void *p) {
      return  p ? new(p) ::MC3Vector : new ::MC3Vector;
   }
   static void *newArray_MC3Vector(Long_t nElements, void *p) {
      return p ? new(p) ::MC3Vector[nElements] : new ::MC3Vector[nElements];
   }
   // Wrapper around operator delete
   static void delete_MC3Vector(void *p) {
      delete (static_cast<::MC3Vector*>(p));
   }
   static void deleteArray_MC3Vector(void *p) {
      delete [] (static_cast<::MC3Vector*>(p));
   }
   static void destruct_MC3Vector(void *p) {
      typedef ::MC3Vector current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_MC3Vector(TBuffer &buf, void *obj) {
      ((::MC3Vector*)obj)->::MC3Vector::Streamer(buf);
   }
} // end of namespace ROOT for class ::MC3Vector

//______________________________________________________________________________
void MC4Vector::Streamer(TBuffer &R__b)
{
   // Stream an object of class MC4Vector.

   UInt_t R__s, R__c;
   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(&R__s, &R__c); if (R__v) { }
      R__b >> v_X0;
      R__b >> v_X1;
      R__b >> v_X2;
      R__b >> v_X3;
      R__b >> v_M;
      R__b.CheckByteCount(R__s, R__c, MC4Vector::IsA());
   } else {
      R__c = R__b.WriteVersion(MC4Vector::IsA(), kTRUE);
      R__b << v_X0;
      R__b << v_X1;
      R__b << v_X2;
      R__b << v_X3;
      R__b << v_M;
      R__b.SetByteCount(R__c, kTRUE);
   }
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_MC4Vector(void *p) {
      return  p ? new(p) ::MC4Vector : new ::MC4Vector;
   }
   static void *newArray_MC4Vector(Long_t nElements, void *p) {
      return p ? new(p) ::MC4Vector[nElements] : new ::MC4Vector[nElements];
   }
   // Wrapper around operator delete
   static void delete_MC4Vector(void *p) {
      delete (static_cast<::MC4Vector*>(p));
   }
   static void deleteArray_MC4Vector(void *p) {
      delete [] (static_cast<::MC4Vector*>(p));
   }
   static void destruct_MC4Vector(void *p) {
      typedef ::MC4Vector current_t;
      (static_cast<current_t*>(p))->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_MC4Vector(TBuffer &buf, void *obj) {
      ((::MC4Vector*)obj)->::MC4Vector::Streamer(buf);
   }
} // end of namespace ROOT for class ::MC4Vector

namespace {
  void TriggerDictionaryInitialization_HEPEventDict_Impl() {
    static const char* headers[] = {
"HEPParticle.H",
"HEPEvent.H",
"LUJETSEvent.H",
"LUJETSParticle.H",
"PYJETSEvent.H",
"PYJETSParticle.H",
"HerwigParticle.H",
"HerwigEvent.H",
"HEPEVTEvent.H",
"HEPEVTParticle.H",
"THEPEvent.H",
"THEPParticle.H",
"MC3Vector.H",
"MC4Vector.H",
nullptr
    };
    static const char* includePaths[] = {
"/usr/include/root",
"/builddir/build/BUILD/MC-TESTER-1.25.1-build/mc-tester-v1.25.1/HEPEvent/",
nullptr
    };
    static const char* fwdDeclCode = R"DICTFWDDCLS(
#line 1 "HEPEventDict dictionary forward declarations' payload"
#pragma clang diagnostic ignored "-Wkeyword-compat"
#pragma clang diagnostic ignored "-Wignored-attributes"
#pragma clang diagnostic ignored "-Wreturn-type-c-linkage"
extern int __Cling_AutoLoading_Map;
class __attribute__((annotate("$clingAutoload$HEPParticle.H")))  HEPParticle;
class __attribute__((annotate("$clingAutoload$HEPParticle.H")))  HEPParticleListIterator;
class __attribute__((annotate("$clingAutoload$HEPParticle.H")))  HEPParticleList;
class __attribute__((annotate("$clingAutoload$HEPEvent.H")))  HEPEvent;
class __attribute__((annotate("$clingAutoload$LUJETSParticle.H")))  __attribute__((annotate("$clingAutoload$LUJETSEvent.H")))  LUJETSParticle;
class __attribute__((annotate("$clingAutoload$LUJETSEvent.H")))  LUJETSEvent;
class __attribute__((annotate("$clingAutoload$PYJETSParticle.H")))  __attribute__((annotate("$clingAutoload$PYJETSEvent.H")))  PYJETSParticle;
class __attribute__((annotate("$clingAutoload$PYJETSEvent.H")))  PYJETSEvent;
class __attribute__((annotate("$clingAutoload$HEPEVTParticle.H")))  __attribute__((annotate("$clingAutoload$HerwigParticle.H")))  HEPEVTParticle;
class __attribute__((annotate("$clingAutoload$HerwigParticle.H")))  HerwigParticle;
class __attribute__((annotate("$clingAutoload$HEPEVTEvent.H")))  __attribute__((annotate("$clingAutoload$HerwigEvent.H")))  HEPEVTEvent;
class __attribute__((annotate("$clingAutoload$HerwigEvent.H")))  HerwigEvent;
class __attribute__((annotate("$clingAutoload$THEPParticle.H")))  __attribute__((annotate("$clingAutoload$THEPEvent.H")))  THEPParticle;
class __attribute__((annotate("$clingAutoload$THEPEvent.H")))  THEPEvent;
class __attribute__((annotate("$clingAutoload$MC3Vector.H")))  MC3Vector;
class __attribute__((annotate("$clingAutoload$MC4Vector.H")))  MC4Vector;
)DICTFWDDCLS";
    static const char* payloadCode = R"DICTPAYLOAD(
#line 1 "HEPEventDict dictionary payload"

#ifndef _USE_ROOT_
  #define _USE_ROOT_ 1
#endif

#define _BACKWARD_BACKWARD_WARNING_H
// Inline headers
#include "HEPParticle.H"
#include "HEPEvent.H"
#include "LUJETSEvent.H"
#include "LUJETSParticle.H"
#include "PYJETSEvent.H"
#include "PYJETSParticle.H"
#include "HerwigParticle.H"
#include "HerwigEvent.H"
#include "HEPEVTEvent.H"
#include "HEPEVTParticle.H"
#include "THEPEvent.H"
#include "THEPParticle.H"
#include "MC3Vector.H"
#include "MC4Vector.H"

#undef  _BACKWARD_BACKWARD_WARNING_H
)DICTPAYLOAD";
    static const char* classesHeaders[] = {
"HEPEVT", payloadCode, "@",
"HEPEVTEvent", payloadCode, "@",
"HEPEVTParticle", payloadCode, "@",
"HEPEvent", payloadCode, "@",
"HEPParticle", payloadCode, "@",
"HEPParticleList", payloadCode, "@",
"HEPParticleListIterator", payloadCode, "@",
"HerwigEVT", payloadCode, "@",
"HerwigEvent", payloadCode, "@",
"HerwigParticle", payloadCode, "@",
"LUJETS", payloadCode, "@",
"LUJETSEvent", payloadCode, "@",
"LUJETSParticle", payloadCode, "@",
"MC3Vector", payloadCode, "@",
"MC4Vector", payloadCode, "@",
"PYJETS", payloadCode, "@",
"PYJETSEvent", payloadCode, "@",
"PYJETSParticle", payloadCode, "@",
"THEPEvent", payloadCode, "@",
"THEPParticle", payloadCode, "@",
nullptr
};
    static bool isInitialized = false;
    if (!isInitialized) {
      TROOT::RegisterModule("HEPEventDict",
        headers, includePaths, payloadCode, fwdDeclCode,
        TriggerDictionaryInitialization_HEPEventDict_Impl, {}, classesHeaders, /*hasCxxModule*/false);
      isInitialized = true;
    }
  }
  static struct DictInit {
    DictInit() {
      TriggerDictionaryInitialization_HEPEventDict_Impl();
    }
  } __TheDictionaryInitializer;
}
void TriggerDictionaryInitialization_HEPEventDict() {
  TriggerDictionaryInitialization_HEPEventDict_Impl();
}
